import SwiftUI

struct SettingsListView: View {

    @Binding
    var section: SettingsSection


    var body: some View {
        List(SettingsSection.allCases) { section in
            SelectableListItem(selected: self.section == section) {
                Label(section.rawValue, systemSymbol: section.icon)
            }
            .onTapGesture {
                self.section = section
            }
        }
    }
}
